@import url(../templates/solucoes.css);

.single-servicos {
  #banner_topo {
    & h4 {
      color: var(--accent);
    }

    & h3 {
      max-width: 476px;
    }
  }
}

#bloco_texto {
  padding-top: 102px;

  & .box_image {
    position: relative;

    border-bottom: 5px solid;
    border-image: linear-gradient(to right, #c9985b, #9b703b) 1;

    &::before {
      content: "";
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      background: linear-gradient(
        0deg,
        rgba(3, 24, 54, 0.4),
        rgba(3, 24, 54, 0.4)
      );
      z-index: 1;
    }
  }

  & h3,
  & h5 {
    color: var(--primary);
  }

  & h3,
  & p {
    margin-bottom: 40px;
  }

  & h5 {
    margin-bottom: 68px;
  }
}

#consultoria {
  padding: 139px 0 135px;

  & > div {
    display: flex;
    flex-direction: column;
    gap: 68px;
  }

  & h2 {
    color: var(--primary);
  }

  & p {
    max-width: 635px;
    margin: 0 auto;
    text-align: center;
  }

  & .list_consultorias {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 12px;

    & span {
      font-size: 22px;
      color: var(--primary);

      & i {
        color: var(--secondary);
      }
    }
  }
}

#banner_interna {
  background-color: var(--primary);
  color: var(--white);
  height: 482px;

  & span {
    color: var(--secondary);
  }
}

@media (max-width: 992px) {
  #bloco_texto {
    & h3,
    & p {
      margin-bottom: 20px;
    }

    & h3 {
      font-size: 1.5rem;
    }

    & h5 {
      font-size: 1.25rem;
      margin-bottom: 30px;
    }
  }

  #consultoria {
    & .list_consultorias {
      & span {
        font-size: 18px;
      }
    }
  }
}

@media (max-width: 500px) {
  #consultoria {
    & h2 {
      font-size: 2rem;
    }

    & .list_consultorias {
      grid-template-columns: 1fr;
    }
  }

  #banner_interna {
    & h2 {
      font-size: 2rem;
    }
  }
}
